Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sudokugamej2se11
Class TableFactory

    java.lang.Object
      sudokugamej2se11.TableFactory

    public class TableFactory

extends java.lang.Object

A TableFactory osztály metódusai olyan teljesen kitöltött táblákat és hozzá tartozó sablonokat állítanak elő és mentenek fájlokba, melyek kombinációi egymegoldásos kezdőállásokat képeznek. Alkalmas kezdőállapot előállítására.

Field Summary
`static int` | `EASY_LEVEL`
`static int` | `HARD_LEVEL`
`static int` | `MEDIUM_LEVEL`
`static int` | `SIZE`

Constructor Summary
`TableFactory()`

Method Summary
`static void` | `createFullTables(java.lang.String fileName, int count)` Előállítja és a megadott fájlba mentni a megadott számú kitöltött táblát.
`static void` | `createTemplatesFor(java.lang.String fileName, int count)` A megadott fáljban található össszes teljesen kitöltött táblához létrehoz egy olyan fájt, mely a megadott számú sablont tartalmazza.
`static SudokuTable` | `generateNewTable(int level)` Eredménye egy SudokuTable objektum, mely tartlamazza a teljesen és helyesen kitöltött táblát, valamint egy olyan hiányos táblát, mely a paraméterben kapott szintnek megfelelő mennyíségű számot tartalmaz és egyetlen megoldása van.
`static SudokuTable` | `getNewTable(int level)` Eredménye egy SudokuTable objektum, mely tartlamazza a teljesen és helyesen kitöltött táblát, valamint egy olyan hiányos táblát, mely a paraméterben kapott szintnek megfelelő mennyíségű számot tartalmaz és egyetlen megoldása van.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SIZE

    public static final int SIZE

See Also:
  Constant Field Values

### EASY_LEVEL

    public static final int EASY_LEVEL

See Also:
  Constant Field Values

### MEDIUM_LEVEL

    public static final int MEDIUM_LEVEL

See Also:
  Constant Field Values

### HARD_LEVEL

    public static final int HARD_LEVEL

See Also:
  Constant Field Values

Constructor Detail

### TableFactory

    public TableFactory()

Method Detail

### createFullTables

    public static void createFullTables(java.lang.String fileName,
                                        int count)

  Előállítja és a megadott fájlba mentni a megadott számú kitöltött táblát.

  Parameters:
    `count` - az előállítandó táblák száma.

### getNewTable

    public static SudokuTable getNewTable(int level)

  Eredménye egy SudokuTable objektum, mely tartlamazza a teljesen és helyesen kitöltött táblát, valamint egy olyan hiányos táblát, mely a paraméterben kapott szintnek megfelelő mennyíségű számot tartalmaz és egyetlen megoldása van. A teljesen kitöltött táblát és a hozzá tartozó sablont fájlból olvassa be.

  Parameters:
    `level` - A tábla nehézségi szintje
  Returns:
    A sudoku tábla.

### generateNewTable

    public static SudokuTable generateNewTable(int level)

  Eredménye egy SudokuTable objektum, mely tartlamazza a teljesen és helyesen kitöltött táblát, valamint egy olyan hiányos táblát, mely a paraméterben kapott szintnek megfelelő mennyíségű számot tartalmaz és egyetlen megoldása van. A teljesen kitöltött táblát és a hozzá tartozó sablont generálja.

  Parameters:
    `level` - A tábla nehézségi szintje
  Returns:
    A sudoku tábla.

### createTemplatesFor

    public static void createTemplatesFor(java.lang.String fileName,
                                          int count)

  A megadott fáljban található össszes teljesen kitöltött táblához létrehoz egy olyan fájt, mely a megadott számú sablont tartalmazza. A sablonok a hozzá tartozó táblák olyan részhalmazát metszi ki, mely egyedi megoldással rendelkezik.

  Parameters:
    `fileName` - A táblákat tartalmazó fájl neve.
    `count` - A táblánként előállítandó sablonok darabszáma.

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD